Page MenuHomeFreeBSD

Add new port: net-mgmt/cacti88
ClosedPublic

Authored by dbaio on Jun 2 2017, 1:35 AM.

Details

Summary
Repocopy from net-mgmt/cacti (r416066) -> net-mgmt/cacti88

Graphing interface for RRDTool (Old version of net-mgmt/cacti)

New releases of Cacti are still unable to work with useful plugins like
"GPS Map" and "Network Weathermap".

While here, minor fixes and get improvements from the current port.

PR:	219685
Submitted by:	Vinícius Zavam <egypcio@googlemail.com>
Approved by:	garga (mentor)
Differential Revision:	https://reviews.freebsd.org/D11023
Test Plan
$ portlint -C
WARN: Makefile: [0]: possible direct use of command "file" found. use ${FILE} instead.
0 fatal errors and 1 warning found.

poudriere testport:

10.3-RELEASE-p19 amd64
10.3-RELEASE-p19 i386
11.0-RELEASE-p10 amd64
11.0-RELEASE-p10 i386
12.0-CURRENT r318689 amd64
12.0-CURRENT r318690 i386

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

net-mgmt/cacti88/Makefile
10 ↗(On Diff #29130)

The part between () is unneeded.

net-mgmt/cacti88/Makefile
48 ↗(On Diff #29130)

Remove the -

garga requested changes to this revision.Jun 2 2017, 10:22 AM
garga added inline comments.
net-mgmt/cacti88/files/pkg-message.in
28 ↗(On Diff #29130)

Keep %%CACTIUSER%% here

net-mgmt/cacti88/pkg-plist
528 ↗(On Diff #29130)

Keep using %%CACTIUSER%% and %%CACTIGROUP%% here since these variables can be replaced on Makefile

This revision now requires changes to proceed.Jun 2 2017, 10:22 AM
dbaio edited edge metadata.

Addressing requests

dbaio marked 3 inline comments as done.Jun 3 2017, 2:17 PM
This revision is now accepted and ready to land.Jun 5 2017, 1:10 PM
This revision was automatically updated to reflect the committed changes.